/*!
 * \file   /utl/impl/impl.h
 * \brief  Implementation detail main header
 *
 * Copyright (C) 2018 Christos Choutouridis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef __utl_impl_impl_h__
#define __utl_impl_impl_h__


// Include implementation details once
#include <utl/impl/version.h>
#include <utl/impl/concepts.h>
#include <utl/impl/types.h>

// STL dependency
#include <type_traits>


#endif /* __utl_impl_impl_h__ */
